## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl
Class SybaseASEProcedureImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.routines.impl.RoutineImpl
                                      org.eclipse.datatools.modelbase.sql.routines.impl.ProcedureImpl
                                          org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEProcedureImpl

All Implemented Interfaces:
  SybaseASEProcedure, SybaseAuthorizedObject, SybaseRoutine, Procedure, Routine, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  SybaseASECatalogProcedure

    public class SybaseASEProcedureImpl

extends org.eclipse.datatools.modelbase.sql.routines.impl.ProcedureImpl
implements SybaseASEProcedure

An implementation of the model object 'Sybase ASE Procedure'.

The following features are implemented:

- `Group Number`
- `Transaction Mode`
- `System Procedure`
- `With Recompile`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`int` `getGroupNumber()`
`TransactionModeType` `getTransactionMode()`
`boolean` `isSystem()`
`boolean` `isSystemProcedure()`
`boolean` `isWithRecompile()`
`void` `parseParameterDefaultValues()` Parses the source code to get parameter default values.
`void` `setGroupNumber(int newGroupNumber)`
`void` `setSystemProcedure(boolean newSystemProcedure)`
`void` `setTransactionMode(TransactionModeType newTransactionMode)`
`void` `setWithRecompile(boolean newWithRecompile)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.routines.impl.ProcedureImpl
`eInverseRemove, getMaxResultSets, getResultSet, isOldSavePoint, setMaxResultSets, setOldSavePoint`

Methods inherited from class org.eclipse.datatools.modelbase.sql.routines.impl.RoutineImpl

`basicGetSchema, basicSetSchema, basicSetSource, eInverseAdd, getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameters, getParameterStyle, getSchema, getSecurity, getSource, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Procedure
`getMaxResultSets, getResultSet, isOldSavePoint, setMaxResultSets, setOldSavePoint`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Routine

`getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameters, getParameterStyle, getSchema, getSecurity, getSource, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Routine

`getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameters, getParameterStyle, getSchema, getSecurity, getSource, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getGroupNumber

    public int getGroupNumber()

  Specified by:
    `getGroupNumber` in interface `SybaseASEProcedure`
  Returns:
    the value of the 'Group Number' attribute.
  See Also:
    `SybaseASEProcedure.setGroupNumber(int)`, `SybaseasesqlmodelPackage.getSybaseASEProcedure_GroupNumber()`

### setGroupNumber

    public void setGroupNumber(int newGroupNumber)

  Specified by:
    `setGroupNumber` in interface `SybaseASEProcedure`
  Parameters:
    `newGroupNumber` - the new value of the 'Group Number' attribute.
  See Also:
    `SybaseASEProcedure.getGroupNumber()`

### getTransactionMode

    public TransactionModeType getTransactionMode()

  Specified by:
    `getTransactionMode` in interface `SybaseASEProcedure`
  Returns:
    the value of the 'Transaction Mode' attribute.
  See Also:
    `TransactionModeType`, `SybaseASEProcedure.setTransactionMode(TransactionModeType)`, `SybaseasesqlmodelPackage.getSybaseASEProcedure_TransactionMode()`

### setTransactionMode

    public void setTransactionMode(TransactionModeType newTransactionMode)

  Specified by:
    `setTransactionMode` in interface `SybaseASEProcedure`
  Parameters:
    `newTransactionMode` - the new value of the 'Transaction Mode' attribute.
  See Also:
    `TransactionModeType`, `SybaseASEProcedure.getTransactionMode()`

### isSystemProcedure

    public boolean isSystemProcedure()

  Specified by:
    `isSystemProcedure` in interface `SybaseASEProcedure`
  Returns:
    the value of the 'System Procedure' attribute.
  See Also:
    `SybaseASEProcedure.setSystemProcedure(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEProcedure_SystemProcedure()`

### setSystemProcedure

    public void setSystemProcedure(boolean newSystemProcedure)

  Specified by:
    `setSystemProcedure` in interface `SybaseASEProcedure`
  Parameters:
    `newSystemProcedure` - the new value of the 'System Procedure' attribute.
  See Also:
    `SybaseASEProcedure.isSystemProcedure()`

### isWithRecompile

    public boolean isWithRecompile()

  Specified by:
    `isWithRecompile` in interface `SybaseASEProcedure`
  Returns:
    the value of the 'With Recompile' attribute.
  See Also:
    `SybaseASEProcedure.setWithRecompile(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEProcedure_WithRecompile()`

### setWithRecompile

    public void setWithRecompile(boolean newWithRecompile)

  Specified by:
    `setWithRecompile` in interface `SybaseASEProcedure`
  Parameters:
    `newWithRecompile` - the new value of the 'With Recompile' attribute.
  See Also:
    `SybaseASEProcedure.isWithRecompile()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.datatools.modelbase.sql.routines.impl.ProcedureImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.datatools.modelbase.sql.routines.impl.ProcedureImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.datatools.modelbase.sql.routines.impl.ProcedureImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.datatools.modelbase.sql.routines.impl.ProcedureImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.datatools.modelbase.sql.routines.impl.ProcedureImpl`

### parseParameterDefaultValues

    public void parseParameterDefaultValues()

  Description copied from interface: `SybaseRoutine`
  Parses the source code to get parameter default values. Not intended for use by clients.

  Specified by:
    `parseParameterDefaultValues` in interface `SybaseRoutine`

### isSystem

    public boolean isSystem()

  Specified by:
    `isSystem` in interface `SybaseRoutine`